Bug 64635 - Reboot after 7.3 install hangs after 'Enabling Swap Space'
Reboot after 7.3 install hangs after 'Enabling Swap Space'
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-08 17:47 EDT by oks6
Modified: 2014-03-16 22:27 EDT (History)
1 user (show)

See Also:
Fixed In Version: FC4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-29 15:54:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description oks6 2002-05-08 17:47:06 EDT
From Bugzilla Helper: 
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.0.0-10) 
 
Description of problem: 
After installing 7.3, the system hung after the 'Enabling Swap 
Space : ON' message 
 
Version-Release number of selected component (if applicable): 
 
 
How reproducible: 
Always 
 
Steps to Reproduce: 
1. Install 7.3 
2. Reboot 
 
 
Additional info: 
 
The system contains a Conner IDE tape drive. The hang occurred 
in the /etc/rc.d/rc.sysinit script. The section of the script 
responsible is 
 
# Turn off DMA on CD-ROMs. It more often than not causes 
problems. 
 if [ -e /proc/ide ]; then 
   for N in `grep -v ide-disk /proc/ide/*/*/driver 2>/dev/null 
| awk -F / '{ print $5 }'`; do 
    hdparm -q -d0 /dev/$N >/dev/null 2>&1 
   done 
 fi 
 
Running the grep|awk command prints 'hdc'. 
 
The fix is to enter 'linux rescue' mode and comment out the 
above lines and then rebooting.
Comment 1 Bill Nottingham 2005-09-29 15:54:53 EDT
Closing bugs on older, no longer supported, releases. Apologies for any lack of
response.

These lines no longer exist on FC4, which should solve the issue.

Note You need to log in before you can comment on or make changes to this bug.